Subject: Re: bug#29664: 26.0.90; Auto Hscroll Mode + Visual Line Mode + Truncate don't work well together

From: Lars Ingebrigtsen <[email-masked]>
Date: Fri, 03 Sep 2021 10:16:09 +0200

Juri Linkov <[email-masked]> writes:

>> `visual-line-mode' disables `truncate-lines', so for symmetry, I think
>> `toggle-truncate-lines' can disable `visual-line-mode' (and say that
>> it's doing so).  So I've done that on the trunk now.
>
> Looking at 0d3ae350c9, it seems that '(message " and
> `visual-line-mode' disabled")'
> was intended to use 'format-message'?

Heh; actually the `message' was spurious, and I had just intended for
there to be a plain string there.  Which would also have been wrong --
`format-message' is the right thing here.

-- 
(domestic pets only, the antidote for overdose, milk.)
   bloggy blog: http://lars.ingebrigtsen.no